New Driver / Encodino : 
- Residorg :
  - Resident :
    - Encodage :  
      - Mifare : 
        - OK
      - Desfire :
        - Not recording via ResiInit: 
          - OK (only Mifare is encoding)
        - Recording via ResiInit : 
          - PENDING (In waiting for licences for to be tested)
    - Lecture Debug  :
      - Mifare :
        - OK
      - Desfire :
        - Not recording via ResiInit: 
          - OK (Mifare Part)
        - Recording via ResiInit : 
          - PENDING (In waiting for licences for to be tested)
    - A qui appartient ce bage : 
      - Mifare :
        - OK
      - Desfire :
        - Not recording via ResiInit: 
          - OK (Mifare Part)
        - Recording via ResiInit : 
          - PENDING (In waiting for licences for to be tested)

  - Tertiaire : 
    - Encodage :  
      - Mifare : 
        - OK 
      - Desfire :
        - Not recording via ResiInit: 
          - OK (only Mifare is encoding)
        - Recording via ResiInit : 
          - PENDING (In waiting for licences for to be tested)
    - Lecture Debug  :
      - Mifare :
        - OK 
      - Desfire :
        - Not recording via ResiInit: 
          - OK (Mifare Part)
        - Recording via ResiInit : 
          - PENDING (In waiting for licences for to be tested)
    - A qui appartient ce bage : 
      - Mifare :
        - OK
      - Desfire :
        - Not recording via ResiInit: 
          - OK (Mifare Part)
        - Recording via ResiInit : 
          - PENDING (In waiting for licences for to be tested)
  - Pass : 
    - Encodage :  
      - Mifare : 
        - OK 
      - Desfire :
        - Not recording via ResiInit: 
          - ERROR -> MEDIA_INVALID
        - Recording via ResiInit : 
          - PENDING (In waiting for licences for to be tested)
    - Lecture Debug  :
      - Mifare :
        - OK 
      - Desfire :
        - Not recording via ResiInit: 
          - PENDING ( since error on encoding)
        - Recording via ResiInit : 
          - PENDING (In waiting for licences for to be tested)
    - A qui appartient ce bage : 
      - Mifare :
        - OK
      - Desfire :
        - Not recording via ResiInit: 
          - PENDING ( since error on encoding)
        - Recording via ResiInit : 
          - PENDING (In waiting for licences for to be tested)
  - Emmeteur :
    - Encodage :  
      - Mifare : 
        - Radio : OK
        - Proxi : OK
      - Desfire : 
        - Radio : NOT TESTED
        - Proxi : OK
      - Lecture Debug  :
        - OK
      - A qui appartient ce bage :
        - CF Resident
      - A qui appartient cet emetteur :
        - OK
  - Carte Site :
    -  Encodage :  OK
    - Lecture  : OK
   #ToDo
  - Carte de conf :
    - Encodage :  
  - Gestion Evts :
    - Formatage :  
    - Importation  : 
    - KeyProg :  
  - Voir/ Exporter :
    - Probleme :  
- Resitools : 
  - Lecture Resident :  

New Driver / legacy encoder : 
- Residorg :
  - Resident :
    - Encodage :  
      - Mifare : 
        - OK 
      - Desfire :
        - Not recording via ResiInit: 
          - OK
        - Recording via ResiInit : 
          - PENDING (In waiting for licences for to be tested)
    - Lecture Debug  :
      - Mifare :
        - OK 
      - Desfire :
        - Not recording via ResiInit: 
          - OK
        - Recording via ResiInit : 
          - PENDING (In waiting for licences for to be tested)
    - A qui appartient ce bage : 
      - Mifare :
        - OK
      - Desfire :
        - Not recording via ResiInit: 
          - OK (Mifare Part)
        - Recording via ResiInit : 
          - PENDING (In waiting for licences for to be tested)
  - Tertiaire : 
    - Encodage :  
      - Mifare : 
        - OK 
      - Desfire :
        - Not recording via ResiInit: 
          - OK (only Mifare is encoding)
        - Recording via ResiInit : 
          - PENDING (In waiting for licences for to be tested)
    - Lecture Debug  :
      - Mifare :
        - OK 
      - Desfire :
        - Not recording via ResiInit: 
          - OK (Mifare Part)
        - Recording via ResiInit : 
          - PENDING (In waiting for licences for to be tested)
    - A qui appartient ce bage : 
      - Mifare :
        - OK
      - Desfire :
        - Not recording via ResiInit: 
          - OK (Mifare Part)
        - Recording via ResiInit : 
          - PENDING (In waiting for licences for to be tested)
  - Pass : 
    - Encodage :  
      - Mifare : 
        - OK 
      - Desfire :
        - Not recording via ResiInit: 
          - ERROR -> MEDIA_INVALID
        - Recording via ResiInit : 
          - PENDING (In waiting for licences for to be tested)
    - Lecture Debug  :
      - Mifare :
        - OK 
      - Desfire :
        - Not recording via ResiInit: 
          - PENDING ( since error on encoding)
        - Recording via ResiInit : 
          - PENDING (In waiting for licences for to be tested)
    - A qui appartient ce bage : 
      - Mifare :
        - OK
      - Desfire :
        - Not recording via ResiInit: 
          - PENDING ( since error on encoding)
        - Recording via ResiInit : 
          - PENDING (In waiting for licences for to be tested)
  - Emmeteur :
    - Encodage :  
      - Mifare : 
        - Radio : OK
        - Proxi : OK
      - Desfire : 
        - Radio : NOT TESTED
        - Proxi : OK
    - Lecture Debug  :
      - OK
    - A qui appartient ce bage :
      - CF Resident
    - A qui appartient cet emetteur :
      - OK
  - Carte Site :
    -  Encodage :  
    - Lecture  : 
  - Carte de conf :
    - Encodage :  
  - Gestion Evts :
    - Formatage :  
    - Importation  : 
    - KeyProg :  
  - Voir/ Exporter :
    - Probleme :  

#End Todo
- Problèmes Annexes : 
  - When ResicloudEncod not green, the encoding stay pending till you reload page
  
 # Others test 
- Test a resident's tag already encoded with old driver and old encoder and reencode it with new driver and new driver

- Bug / Improvements annexes : 
  - Recherche par encodeur :
    -Tertiary :
      - No redirection is done on left menu (tertiary module is not selected)
    -Radio (Proxi part) :
      - No type is showing after search (We should have Radio)
      - No redirection is done on left menu (Radio module is not selected)

  